Bug 41650 - irc output doesn't scroll into term
irc output doesn't scroll into term
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ircii (Show other bugs)
7.1
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-21 13:13 EDT by Bernhard Ege
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-28 10:46:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernhard Ege 2001-05-21 13:13:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-2.14.14 i686)

Description of problem:
In RedHat 7.0, ircii caused every line that was scrolled out in the top of
the terminal to be scrolled into the xterm holding the ircii session. Now,
the linies are erased (only on screen scrolling). It is therefore not
possible to use the terminals scrollbar to scroll back in the previous
output. I really liked the previous (RedHat 7.0) way better.

How reproducible:
Always

Steps to Reproduce:
1. start irc.
2. cause enough output to make the text scroll.
3. try to see previous lines.
	

Actual Results:  Terminal does not remember lines scrolled out of irc.

Expected Results:  I tried a remote server that had another version of the
same irc program installed and the terminal did remember the lines that
were scrolled out at the top of the terminal.

Additional info:

package is: ircii-4.4Z-4
Comment 1 Bernhard Ege 2001-05-28 10:46:28 EDT
I installed the ircii-4.4M-4 irc client from RedHat 7.0 and now the xterm
scrollback works just fine. I couldn't determine wether it was intentional or
not, but I prefer the 4.4M scroll method over the 4.4Z.
Comment 2 Preston Brown 2001-07-19 13:43:46 EDT
this was intentional on the part of the IRC II authors.
If you need an IRC client with history, we suggest xchat, a graphical IRC 
client that we do ship.

Note You need to log in before you can comment on or make changes to this bug.